Loading...
Searching...
No Matches
trace_directions.hpp File Reference

Provides the declaration of seqan3::detail::trace_directions. More...

`#include <array>`
`#include <string_view>`
`#include <seqan3/core/add_enum_bitwise_operators.hpp>`
`#include <seqan3/core/debug_stream/debug_stream_type.hpp>`
`#include <seqan3/core/detail/template_inspection.hpp>`
Include dependency graph for trace_directions.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::trace_directions_printer< detail::trace_directions >
| Prints trace_directions as ascii or as utf8 to output stream. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides the declaration of seqan3::detail::trace_directions.

Author
  Marcel Ehrhardt <marcel.ehrhardt AT fu-berlin.de>

Hide me